Subject: Re: [PATCH v3 03/10] trailer: unify trailer formatting machinery

From: Linus Arver <[email-masked]>
Date: Thu, 01 Feb 2024 10:26:35 -0800

Junio C Hamano <[email-masked]> writes:

> Linus Arver <[email-masked]> writes:
>
>> I could just grow this series with another ~22 patches to include those
>> additional refactors, but I am hesitant about doing so, simply due to
>> the sheer number of them.
>
> I actually do not mind at all if you started with a preliminary
> clean-up series, and stopped the first batch somewhere in the middle
> of the 20+ patches before even reaching any of these 10 patches we
> see here, if that gives us a readable set of bite-sized changes that
> prepare a solid foundation to rebuild things on top.  I am having a
> feeling that not even a single person has reviewed them on list even
> though we are already at the third iteration, which is quite
> frustrating (and I would imagine that it would be frustrating for
> you, too), and I suspect that the step like [v3 03/10] that makes
> too large a change with too little explanation (and perhaps a bit of
> "trust me, this does not change the behaviour") is one contributing
> factor why people are afraid of touching it.

I am planning to spend today trying to break up this patch into smaller
preparatory chunks that still end up at the same state as this patch.

Will post another update on how this goes by EOD. Thanks.